Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157720 - setfont: Input file: trailing garbage #2
Summary: setfont: Input file: trailing garbage #2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kbd
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-14 01:59 UTC by Jan Kratochvil
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.12-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-17 09:30:40 UTC


Attachments (Terms of Use)
get_uni_entry() aliasing fix (deleted)
2005-05-14 02:01 UTC, Jan Kratochvil
no flags Details | Diff

Description Jan Kratochvil 2005-05-14 01:59:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050504 Galeon/1.3.20

Description of problem:
Failed to set console font:
# setfont iso02.08
setfont: Input file: trailing garbage


Version-Release number of selected component (if applicable):
kbd-1.12-8

How reproducible:
Always

Steps to Reproduce:
1. Set;
   /etc/sysconfig/i18n:SYSFONT="iso02.08"
   /etc/sysconfig/i18n:UNIMAP="iso02"
2. Login on a console terminal.


Actual Results:  setfont: Input file: trailing garbage


Expected Results:  Console font active.


Additional info:

See also: Bug 150440, Bug 151552
You did not fix all the aliasing cases, additional one attached.

Comment 1 Jan Kratochvil 2005-05-14 02:01:27 UTC
Created attachment 114368 [details]
get_uni_entry() aliasing fix

Comment 2 Miloslav Trmač 2005-05-17 09:30:40 UTC
Patch added in kbd-1.12-9. Thanks!

Please make sure the patch is also sent upstream (<aeb@cwi.nl>).

Comment 3 Jan Kratochvil 2005-05-20 11:34:13 UTC
Patch is upstream.

From: Andries Brouwer <Andries.Brouwer@cwi.nl>
Message-ID: <20050520112446.GC7400@apps.cwi.nl>


Comment 4 Miloslav Trmač 2005-05-20 11:39:36 UTC
Thanks again!


Note You need to log in before you can comment on or make changes to this bug.